## golang-github-go-playground-validator-v10 10.28.0

=== Makefile ===
GOCMD=go

linters-install:
	@golangci-lint --version >/dev/null 2>&1 || { \
		echo "installing linting tools..."; \
		curl -sfL https://raw.githubusercontent.com/golangci/golangci-lint/master/install.sh| sh -s v2.0.2; \
	}

lint: linters-install
	golangci-lint run

test:
	$(GOCMD) test -cover -race ./...

bench:
	$(GOCMD) test -run=NONE -bench=. -benchmem ./...

.PHONY: test lint linters-install

## golang-github-go-playground-validator-v10 10.4.1

=== debian/changelog ===
golang-github-go-playground-validator-v10 (10.4.1-4) unstable; urgency=medium

  * Team upload
  * Override dh_auto_test: add -tags timetzdata (Closes: #1027366)
  * Bump Standards-Version to 4.6.2 (no changes)
  * Replace dh-golang with dh-sequence-golang

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 09 Jan 2023 00:19:13 +0000

golang-github-go-playground-validator-v10 (10.4.1-3) unstable; urgency=medium

  * Team upload.
  * Fix test with golang-github-go-playground-locales 0.14.0
  * Update Standards-Version to 4.6.0 (no changes)
  * Remove test dependency from -dev package

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 13 Nov 2021 00:33:44 +0800

golang-github-go-playground-validator-v10 (10.4.1-2) unstable; urgency=medium

  * Source-only upload for testing eligibility.

 -- Cyril Brulebois <cyril@debamax.com>  Fri, 08 Jan 2021 15:18:25 +0000

golang-github-go-playground-validator-v10 (10.4.1-1) unstable; urgency=medium

  * Initial release (Closes: #978506).
  * Retain the /v10 suffix in Go-Import-Path and advertise it through the
    -v10 part of the source and binary package names, as discussed on the
    debian-go@ mailing list.

 -- Cyril Brulebois <cyril@debamax.com>  Mon, 28 Dec 2020 09:05:19 +0000

=== debian/control ===
Source: golang-github-go-playground-validator-v10
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Cyril Brulebois <cyril@debamax.com>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-go-playground-assert-v2-dev,
               golang-github-go-playground-locales-dev (>= 0.14.0~),
               golang-github-go-playground-universal-translator-dev,
               golang-github-leodido-go-urn-dev,
               golang-golang-x-crypto-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-go-playground-validator-v10
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-go-playground-validator-v10.git
Homepage: https://github.com/go-playground/validator
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/go-playground/validator/v10

Package: golang-github-go-playground-validator-v10-dev
Architecture: all
Depends: golang-github-go-playground-locales-dev (>= 0.14.0~),
         golang-github-go-playground-universal-translator-dev,
         golang-github-leodido-go-urn-dev,
         golang-golang-x-crypto-dev,
         ${misc:Depends}
Description: Go library for struct and field validation
 The validator package implements value validations for structs and
 individual fields based on tags.
 .
 It has the following unique features:
  - Cross Field and Cross Struct validation by using validation tags
    or custom validators.
  - Slice, Array and Map diving, which allows any or all levels of a
    multidimensional field to be validated.
  - Ability to dive into both map keys and values for validation.
  - Handles type interface by determining its underlying type prior
    to validation.
  - Handles custom field types such as the SQL driver's Valuer.
  - Alias validation tags, which allows for mapping of several
    validations to a single tag for easier definition of validations
    on structs.
  - Extraction of custom defined Field Name, allowing to specify
    extracting the JSON name while validating and making it available
    in the resulting FieldError.
  - Customizable i18n-aware error messages.

## golang-github-go-playground-validator-v10 10.28.0

=== debian/changelog ===
golang-github-go-playground-validator-v10 (10.28.0-2) unstable; urgency=medium

  * Team upload
  * Add patch to fix test failure on 32bit systems

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 18 Oct 2025 14:18:57 +0000

golang-github-go-playground-validator-v10 (10.28.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Drop patch applied upstream
  * d/control:
    - Update Build-Depends and Depends
    - Update Standards-Version to 4.7.2 (no changes needed)
    - Add Breaks for ncbi-entrez-direct
    - Drop redundant Rules-Requires-Root

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 18 Oct 2025 04:06:18 +0000

=== debian/control ===
--- 
+++ 
@@ -7,25 +7,29 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any,
+               golang-github-gabriel-vasile-mimetype-dev,
                golang-github-go-playground-assert-v2-dev,
                golang-github-go-playground-locales-dev (>= 0.14.0~),
                golang-github-go-playground-universal-translator-dev,
                golang-github-leodido-go-urn-dev,
-               golang-golang-x-crypto-dev
-Standards-Version: 4.6.2
+               golang-golang-x-crypto-dev,
+               golang-golang-x-text-dev
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-go-playground-validator-v10
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-go-playground-validator-v10.git
 Homepage: https://github.com/go-playground/validator
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/go-playground/validator/v10
 
 Package: golang-github-go-playground-validator-v10-dev
 Architecture: all
-Depends: golang-github-go-playground-locales-dev (>= 0.14.0~),
+Depends: golang-github-gabriel-vasile-mimetype-dev,
+         golang-github-go-playground-locales-dev (>= 0.14.0~),
          golang-github-go-playground-universal-translator-dev,
          golang-github-leodido-go-urn-dev,
          golang-golang-x-crypto-dev,
+         golang-golang-x-text-dev,
          ${misc:Depends}
+Breaks: ncbi-entrez-direct (<= 24.0.20250523+dfsg-1)
 Description: Go library for struct and field validation
  The validator package implements value validations for structs and
  individual fields based on tags.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang

override_dh_auto_test:
	dh_auto_test -- -tags timetzdata

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-go-playground-validator-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/go-playground/validator/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-go-playground-validator-v10 10.30.0

=== debian/changelog ===
golang-github-go-playground-validator-v10 (10.30.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Drop patch applied upstream

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 22 Dec 2025 01:49:58 +0000

## golang-github-go-playground-validator-v10 10.30.1

=== debian/changelog ===
golang-github-go-playground-validator-v10 (10.30.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * d/control:
    - Update Standards-Version to 4.7.3, drop Priority field

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 28 Dec 2025 01:04:58 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders: Cyril Brulebois <cyril@debamax.com>
 Section: golang
 Testsuite: autopkgtest-pkg-go
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any,
@@ -14,7 +13,7 @@
                golang-github-leodido-go-urn-dev,
                golang-golang-x-crypto-dev,
                golang-golang-x-text-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-go-playground-validator-v10
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-go-playground-validator-v10.git
 Homepage: https://github.com/go-playground/validator
